; SketchyLISP Extension Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; sketchy-ext

; ---conformance---
; SketchyLISP Extension

; ---purpose---
; Load the SketchyLISP extension library into memory.

; ---keywords---
; SketchyLISP, procedures functions, routines, subroutines

(define sketchy-ext #t)

; ---code---
(package 'sketchy-ext)
(load "assp.scm")
(load "count.scm")
(load "depth.scm")
(load "exists.scm")
(load "explode.scm")
(load "factorial.scm")
(load "filter.scm")
(load "for-all.scm")
(load "headp.scm") ; head?
(load "id.scm")
(load "implode.scm")
(load "intersection.scm")
(load "iota.scm")
(load "last.scm")
(load "map-cdr.scm")
(load "memp.scm")
(load "not-equalp.scm") ; not-equal?
(load "orderedp.scm") ; ordered?
(load "pair.scm")
(load "permute.scm")
(load "product.scm")
(load "qsort.scm")
(load "read-line.scm")
(load "remove.scm")
(load "remp.scm")
(load "remq.scm")
(load "remv.scm")
(load "replace.scm")
(load "substitute.scm")
(load "sum.scm")
(load "tailp.scm") ; tail?
(load "union.scm")
(load "unique.scm")
(package)
