; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; char=?

; ---conformance---
; R5RS

; ---purpose---
; Test whether all chars in a sequence are equal.

; ---args---
; X - char
; Y... - chars

; ---keywords---
; CHAR=? function, chars, characters, comparison, equivalence,
; lexical equivalence

; ---see-also---
; char-ci=?, char<?, char>?, char<=?, char>=?, string=?, equal?

; ---example---
; (char=? #\c #\c #\c) => #t

(define ceqp #t)

; (require "pred-iter.scm") ; predicate-iterator
; (load "equal.scm") ; =

; ---model---
; (define char=?
;   (predicate-iterator
;     (lambda (x y)
;       (= (char->integer x)
;          (char->integer y)))))

; ---code---
; This function is a primitive function.
