; SketchyLISP Extension Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; not-equal?

; ---conformance---
; SketchyLISP Extension

; ---purpose---
; Compare data with negative result.

; ---args---
; A - datum
; B - datum

; ---keywords---
; NOT-EQUAL? function, negative equivalence, relation, comparison
; predicate

; ---see-also---
; equal?, neq?

; ---example---
; (not-equal? '(a b (c d (e)) f) '(a b (c d (x)) f)) => #t

; (require "lib/equalp.scm") ; equal?

; ---code---
(define (not-equal? a b)
  (eq? (equal? a b) #f))
