; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; null?

; ---conformance---
; R5RS

; ---purpose---
; Check whether a datum is an empty list.

; ---args---
; X - datum

; ---keywords---
; NULL? function, list, empty, empty list

; ---see-also---
; list?

; ---example---
; (null? '()) => #t

(define nullp #t)

; ---model---
; (define (null? x)
;   (eq? x '()))

; ---code---
; This function is a primitive function.
